org.apache.struts2.dispatcher.multipart

## Class StrutsUploadedFile

- java.lang.Object
- - org.apache.struts2.dispatcher.multipart.StrutsUploadedFile

- All Implemented Interfaces:
    Serializable, UploadedFile

      public class StrutsUploadedFile
      extends Object
      implements UploadedFile

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StrutsUploadedFile.Builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsUploadedFile(File file)` Deprecated. since Struts 6.4.0

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `delete()`
    `String` | `getAbsolutePath()`
    `File` | `getContent()`
    `String` | `getContentType()`
    `String` | `getInputName()` Represents a name of the input file, eg.: "myFile" in case of
    `String` | `getName()`
    `String` | `getOriginalName()`
    `boolean` | `isFile()`
    `Long` | `length()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StrutsUploadedFile

          @Deprecated
          public StrutsUploadedFile(File file)

      Deprecated. since Struts 6.4.0
      Use builder instead of constructor
      Parameters:
        `file` - an uploaded file

  - ### Method Detail

    - #### length

          public Long length()

      Specified by:
        `length` in interface `UploadedFile`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `UploadedFile`

    - #### isFile

          public boolean isFile()

      Specified by:
        `isFile` in interface `UploadedFile`

    - #### delete

          public boolean delete()

      Specified by:
        `delete` in interface `UploadedFile`

    - #### getAbsolutePath

          public String getAbsolutePath()

      Specified by:
        `getAbsolutePath` in interface `UploadedFile`

    - #### getContent

          public File getContent()

      Specified by:
        `getContent` in interface `UploadedFile`

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `UploadedFile`

    - #### getOriginalName

          public String getOriginalName()

      Specified by:
        `getOriginalName` in interface `UploadedFile`

    - #### getInputName

          public String getInputName()

      Description copied from interface: `UploadedFile`
      Represents a name of the input file, eg.: "myFile" in case of
      Specified by:
        `getInputName` in interface `UploadedFile`
      Returns:
        name of the input file field

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.